InnerClassNode (ASM 5.0.4 Documentation)
Date: 2015-09-18

org.objectweb.asm.tree

## Class InnerClassNode

- java.lang.Object
- - org.objectweb.asm.tree.InnerClassNode

-     public class InnerClassNode
      extends Object

  A node that represents an inner class.
  Author:
    Eric Bruneton

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `access` The access flags of the inner class as originally declared in the enclosing class.
    `String` | `innerName` The (simple) name of the inner class inside its enclosing class.
    `String` | `name` The internal name of an inner class (see `getInternalName`).
    `String` | `outerName` The internal name of the class to which the inner class belongs (see `getInternalName`).

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InnerClassNode(String name, String outerName, String innerName, int access)` Constructs a new `InnerClassNode`.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `accept(ClassVisitor cv)` Makes the given class visitor visit this inner class.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### name

          public String name

      The internal name of an inner class (see `getInternalName`).

    - #### outerName

          public String outerName

      The internal name of the class to which the inner class belongs (see `getInternalName`). May be `null`.

    - #### innerName

          public String innerName

      The (simple) name of the inner class inside its enclosing class. May be `null` for anonymous inner classes.

    - #### access

          public int access

      The access flags of the inner class as originally declared in the enclosing class.

  - ### Constructor Detail

    - #### InnerClassNode

          public InnerClassNode(String name,
                        String outerName,
                        String innerName,
                        int access)

      Constructs a new `InnerClassNode`.
      Parameters:
        `name` - the internal name of an inner class (see `getInternalName`).
        `outerName` - the internal name of the class to which the inner class belongs (see `getInternalName`). May be `null`.
        `innerName` - the (simple) name of the inner class inside its enclosing class. May be `null` for anonymous inner classes.
        `access` - the access flags of the inner class as originally declared in the enclosing class.

  - ### Method Detail

    - #### accept

          public void accept(ClassVisitor cv)

      Makes the given class visitor visit this inner class.
      Parameters:
        `cv` - a class visitor.